<ng-template appRef></ng-template>

<div
  class="categories__card"
  [class.clicked]="isClicked"
  (click)="clickHandler()">

  <h2>{{category.name}}</h2>
  <p>{{'numberOfQuestions' | translate}}: {{category.howManyQuestions}}</p>

</div>

<div
  *ngIf="isClicked"
  class="categories__card__options">
  <app-button
    [name]="'chooseQuestion' | translate">
  </app-button>
  <app-button
    (click)="changeCategory()"
    [name]="'changeCategory' | translate">
  </app-button>
  <app-button
    (click)="deleteCategory()"
    [name]="'deleteCategory' | translate">
  </app-button>
  <app-button
    [name]="'randomQuestion' | translate">
  </app-button>

</div>
